Index: plugins/maintenance/_config.php
===================================================================
--- plugins/maintenance/_config.php	(revision 2227)
+++ plugins/maintenance/_config.php	(revision 2227)
@@ -0,0 +1,100 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+if (!defined('DC_CONTEXT_MODULE')) { return; }
+
+$core->blog->settings->addNamespace('maintenance');
+$maintenance = new dcMaintenance($core);
+$tasks = $maintenance->getTasks();
+
+$combo_ts = array(
+	__('Never') 			=> 0,
+	__('Every week') 		=> 604800,
+	__('Every two weeks') 	=> 1209600,
+	__('Every month') 		=> 2592000,
+	__('Every two months') 	=> 5184000
+);
+
+if (!empty($_POST['save'])) {
+
+	try {
+		$core->blog->settings->maintenance->put(
+			'plugin_message', 
+			!empty($_POST['settings_plugin_message']), 
+			'boolean', 
+			'Display alert message of late tasks on plugin page', 
+			true, 
+			true
+		);
+
+		foreach($tasks as $t) {
+			if (!empty($_POST['settings_recall_type']) && $_POST['settings_recall_type'] == 'all') {
+				$ts = $_POST['settings_recall_time'];
+			}
+			else {
+				$ts = empty($_POST['settings_ts_'.$t->id()]) ? 0 : $_POST['settings_ts_'.$t->id()];
+			}
+			$core->blog->settings->maintenance->put(
+				'ts_'.$t->id(), 
+				abs((integer) $ts), 
+				'integer', 
+				sprintf('Recall time for task %s', $t->id()), 
+				true, 
+				$t->blog()
+			);
+		}
+
+		dcPage::addSuccessNotice(__('Maintenance plugin has been successfully configured.'));
+		http::redirect($list->getURL('module=maintenance&conf=1'));
+	}
+	catch(Exception $e) {
+		$core->error->add($e->getMessage());
+	}
+}
+
+echo 
+'<p>'.__('Set up reminders for maintenance tasks.').'</p>'.
+
+'<h4 class="pretty-title">'.__('Activation').'</h4>'.
+'<p><label for="settings_plugin_message" class="classic">'.
+form::checkbox('settings_plugin_message', 1, $core->blog->settings->maintenance->plugin_message).
+__('Display alert messages on late tasks').'</label></p>'.
+
+'<p class="info">'.sprintf(
+	__('You can place list of late tasks on your %s.'),
+	'<a href="preferences.php#user-favorites">'.__('Dashboard').'</a>'
+).'</p>'.
+
+'<h4 class="pretty-title vertical-separator">'.__('Frequency').'</h4>'.
+
+'<p class="vertical-separator">'.form::radio(array('settings_recall_type', 'settings_recall_all'), 'all').' '.
+'<label class="classic" for="settings_recall_all">'.
+'<strong>'.__('Use one recall time for all tasks').'</strong></label>'.
+
+'<p class="field wide vertical-separator"><label for="settings_recall_time">'.__('Recall time for all tasks:').'</label>'.
+form::combo('settings_recall_time', $combo_ts, 'seperate', 'recall-for-all').
+'</p>'.
+
+'<p class="vertical-separator">'.form::radio(array('settings_recall_type', 'settings_recall_separate'), 'separate', 1).' '.
+'<label class="classic" for="settings_recall_separate">'.
+'<strong>'.__('Use one recall time per task').'</strong></label>';
+
+foreach($tasks as $t)
+{
+	echo
+	'<div class="two-boxes">'.
+
+	'<p class="field wide"><label for="settings_ts_'.$t->id().'">'.$t->task().'</label>'.
+	form::combo('settings_ts_'.$t->id(), $combo_ts, $t->ts(), 'recall-per-task').
+	'</p>'.
+
+	'</div>';
+}
Index: plugins/maintenance/inc/class.dc.maintenance.task.php
===================================================================
--- plugins/maintenance/inc/class.dc.maintenance.task.php	(revision 2491)
+++ plugins/maintenance/inc/class.dc.maintenance.task.php	(revision 2044)
@@ -56,5 +56,4 @@
 		$this->core = $maintenance->core;
 		$this->init();
-		$this->id = null;
 
 		if ($this->perm() === null && !$this->core->auth->isSuperAdmin()
Index: plugins/maintenance/inc/tasks/class.dc.maintenance.logs.php
===================================================================
--- plugins/maintenance/inc/tasks/class.dc.maintenance.logs.php	(revision 2482)
+++ plugins/maintenance/inc/tasks/class.dc.maintenance.logs.php	(revision 2044)
@@ -14,6 +14,4 @@
 class dcMaintenanceLogs extends dcMaintenanceTask
 {
-	public static $keep_maintenance_logs = true;
-
 	protected $group = 'purge';
 
@@ -21,5 +19,5 @@
 	{
 		$this->task 		= __('Delete all logs');
-		$this->success 	= __('Logs deleted.');
+		$this->success 		= __('Logs deleted.');
 		$this->error 		= __('Failed to delete logs.');
 
@@ -29,13 +27,5 @@
 	public function execute()
 	{
-		if (dcMaintenanceLogs::$keep_maintenance_logs) {
-			$this->core->con->execute(
-				'DELETE FROM '.$this->core->prefix.'log '.
-				"WHERE log_table <> 'maintenance' "
-			);
-		}
-		else {
-			$this->core->log->delLogs(null, true);
-		}
+		$this->core->log->delLogs(null, true);
 
 		return true;
Index: plugins/maintenance/index.php
===================================================================
--- plugins/maintenance/index.php	(revision 2491)
+++ plugins/maintenance/index.php	(revision 2175)
@@ -19,4 +19,5 @@
 $tasks = $maintenance->getTasks();
 
+$msg = '';
 $headers = '';
 $p_url = 'plugin.php?p=maintenance';
@@ -49,53 +50,8 @@
 		if (true === $code) {
 			$maintenance->setLog($task->id());
-
-			dcPage::addSuccessNotice($task->success());
-			http::redirect($p_url.'&task='.$task->id().'&tab='.$tab.'#'.$tab);
+			http::redirect($p_url.'&task='.$task->id().'&done=1&tab='.$tab.'#'.$tab);
 		}
 	}
 	catch (Exception $e) {
-		$core->error->add($e->getMessage());
-	}
-}
-
-// Save settings
-
-if (!empty($_POST['save_settings'])) {
-
-	try {
-		$core->blog->settings->maintenance->put(
-			'plugin_message', 
-			!empty($_POST['settings_plugin_message']), 
-			'boolean', 
-			'Display alert message of late tasks on plugin page', 
-			true, 
-			true
-		);
-
-		foreach($tasks as $t) {
-			if (!$t->id()) {
-				continue;
-			}
-
-			if (!empty($_POST['settings_recall_type']) && $_POST['settings_recall_type'] == 'all') {
-				$ts = $_POST['settings_recall_time'];
-			}
-			else {
-				$ts = empty($_POST['settings_ts_'.$t->id()]) ? 0 : $_POST['settings_ts_'.$t->id()];
-			}
-			$core->blog->settings->maintenance->put(
-				'ts_'.$t->id(), 
-				abs((integer) $ts), 
-				'integer', 
-				sprintf('Recall time for task %s', $t->id()), 
-				true, 
-				$t->blog()
-			);
-		}
-
-		dcPage::addSuccessNotice(__('Maintenance plugin has been successfully configured.'));
-		http::redirect($p_url.'&tab='.$tab.'#'.$tab);
-	}
-	catch(Exception $e) {
 		$core->error->add($e->getMessage());
 	}
@@ -148,4 +104,13 @@
 }
 
+// Success message
+
+if (!empty($_GET['done']) && $tab == 'settings') {
+	$msg = dcPage::success(__('Settings successfully updated'), true, true, false);
+}
+elseif (!empty($_GET['done']) && $task) {
+	$msg = dcPage::success($task->success(), true, true, false);
+}
+
 if ($task && ($res = $task->step()) !== null) {
 
@@ -160,8 +125,5 @@
 	);
 
-	// content
-	if (substr($res, 0, 1) != '<') {
-		$res = sprintf('<p class="step-msg">%s</p>', $res);
-	}
+	echo $msg;
 
 	// Intermediate task (task required several steps)
@@ -170,9 +132,11 @@
 	'<div class="step-box" id="'.$task->id().'">'.
 	'<p class="step-back">'.
-		'<a class="back" href="'.$p_url.'&amp;tab='.$task->tab().'#'.$task->tab().'">'.__('Back').'</a>'.
+		'<a class="back" href="'.$p_url.'&tab='.$task->tab().'#'.$task->tab().'">'.__('Back').'</a>'.
 	'</p>'.
 	'<h3>'.html::escapeHTML($task->name()).'</h3>'.
 	'<form action="'.$p_url.'" method="post">'.
-	$res.
+	'<p class="step-msg">'.
+		$res.
+	'</p>'.
 	'<p class="step-submit">'.
 		'<input type="submit" value="'.$task->task().'" /> '.
@@ -195,4 +159,6 @@
 	);
 
+	echo $msg;
+
 	// Simple task (with only a button to start it)
 
@@ -205,6 +171,5 @@
 			foreach($tasks as $t)
 			{
-				if (!$t->id() 
-				 || $t->group() != $group_obj->id() 
+				if ($t->group() != $group_obj->id() 
 				 || $t->tab() != $tab_obj->id()) {
 					continue;
@@ -268,5 +233,5 @@
 	foreach($tasks as $t)
 	{
-		if (!$t->id() || $t->group() !== null) {
+		if ($t->group() !== null) {
 			continue;
 		}
@@ -284,62 +249,7 @@
 		'</div>';
 	}
-
-	// Settings
-
-	echo 
-	'<div id="settings" class="multi-part" title="'.__('Alert settings').'">'.
-	'<h3>'.__('Alert settings').'</h3>'.
-	'<form action="'.$p_url.'" method="post">'.
-
-	'<h4 class="pretty-title">'.__('Activation').'</h4>'.
-	'<p><label for="settings_plugin_message" class="classic">'.
-	form::checkbox('settings_plugin_message', 1, $core->blog->settings->maintenance->plugin_message).
-	__('Display alert messages on late tasks').'</label></p>'.
-
-	'<p class="info">'.sprintf(
-		__('You can place list of late tasks on your %s.'),
-		'<a href="preferences.php#user-favorites">'.__('Dashboard').'</a>'
-	).'</p>'.
-
-	'<h4 class="pretty-title vertical-separator">'.__('Frequency').'</h4>'.
-
-	'<p class="vertical-separator">'.form::radio(array('settings_recall_type', 'settings_recall_all'), 'all').' '.
-	'<label class="classic" for="settings_recall_all">'.
-	'<strong>'.__('Use one recall time for all tasks').'</strong></label></p>'.
-
-	'<p class="field wide vertical-separator"><label for="settings_recall_time">'.__('Recall time for all tasks:').'</label>'.
-	form::combo('settings_recall_time', $combo_ts, 'seperate', 'recall-for-all').
-	'</p>'.
-
-	'<p class="vertical-separator">'.form::radio(array('settings_recall_type', 'settings_recall_separate'), 'separate', 1).' '.
-	'<label class="classic" for="settings_recall_separate">'.
-	'<strong>'.__('Use one recall time per task').'</strong></label></p>';
-
-	foreach($tasks as $t)
-	{
-		if (!$t->id()) {
-			continue;
-		} 
-		echo
-		'<div class="two-boxes">'.
-
-		'<p class="field wide"><label for="settings_ts_'.$t->id().'">'.$t->task().'</label>'.
-		form::combo('settings_ts_'.$t->id(), $combo_ts, $t->ts(), 'recall-per-task').
-		'</p>'.
-
-		'</div>';
-	}
-
-	echo 
-	'<p class="field wide"><input type="submit" value="'.__('Save').'" /> '.
-	form::hidden(array('tab'), 'settings').
-	form::hidden(array('save_settings'), 1).
-	$core->formNonce().'</p>'.
-	'</form>'.
-	'</div>';
 }
 
 dcPage::helpBlock('maintenance', 'maintenancetasks');
 
-echo 
-'</body></html>';
+echo '</body></html>';
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 2442)
+++ plugins/pages/list.php	(revision 2495)
@@ -55,5 +55,7 @@
   <title><?php echo __('Pages'); ?></title>
   <?php
-  	echo dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
+  	echo
+  		dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
+		dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 		dcPage::jsLoad('index.php?pf=pages/list.js').
 		'<script type="text/javascript">'.
@@ -89,23 +91,23 @@
 	$post_list->display($page,$nb_per_page,
 	'<form action="plugin.php" method="post" id="form-entries">'.
-	
+
 	'%s'.
-	
+
 	'<div class="two-cols">'.
 	'<p class="col checkboxes-helpers"></p>'.
-	
+
 	'<p class="col right"><label for="action" class="classic">'.__('Selected pages action:').'</label> '.
 	form::combo('action',$pages_actions_page->getCombo()).
-	'<input type="submit" value="'.__('ok').'" />'.
+	'<input type="submit" value="'.__('ok').'" /></p>'.
 	form::hidden(array('post_type'),'page').
 	form::hidden(array('p'),'pages').
 	form::hidden(array('act'),'list').
+	'</div>'.
 	$core->formNonce().
-	'</p></div>'.
 	'<p class="clear form-note hidden-if-js">'.
 	__('To rearrange pages order, change number at the begining of the line, then click on “Save pages order” button.').'</p>'.
 	'<p class="clear form-note hidden-if-no-js">'.
 	__('To rearrange pages order, move items by drag and drop, then click on “Save pages order” button.').'</p>'.
-	'<p><input type="submit" value="'.__('Save pages order').'" name="reorder" class="clear" /></p>'.
+	'<input type="submit" value="'.__('Save pages order').'" name="reorder" class="clear"/>'.
 	'</form>');
 }
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 2390)
+++ plugins/pages/page.php	(revision 2314)
@@ -390,18 +390,18 @@
 			'items' => array(
 				'post_status' => 
-					'<p><label for="post_status">'.__('Page status').'</label> '.
+					'<p><label for="post_status" class="ib">'.__('Page status').'</label> '.
 					form::combo('post_status',$status_combo,$post_status,'','',!$can_publish).
 					'</p>',
 				'post_dt' => 
-					'<p><label for="post_dt">'.__('Publication date and hour').'</label>'.
+					'<p><label for="post_dt" class="ib">'.__('Publication date and hour').'</label>'.
 					form::field('post_dt',16,16,$post_dt,($bad_dt ? 'invalid' : '')).
 					'</p>',
 				'post_lang' =>
-					'<p><label for="post_lang">'.__('Page language').'</label>'.
+					'<p><label for="post_lang" class="ib">'.__('Page language').'</label>'.
 					form::combo('post_lang',$lang_combo,$post_lang).
 					'</p>',
 				'post_format' =>
 					'<div>'.
-					'<h5 id="label_format"><label for="post_format" class="classic">'.__('Text formatting').'</label></h5>'.
+					'<h5 id="label_format"><label for="post_format" class="ib">'.__('Text formatting').'</label></h5>'.
 					'<p>'.form::combo('post_format',$formaters_combo,$post_format,'maximal').
 					'</p>'.
@@ -447,10 +447,10 @@
 					'</p>',
 				'post_password' =>
-					'<p><label for="post_password">'.__('Password').'</label>'.
+					'<p><label for="post_password" class="ib">'.__('Password').'</label>'.
 					form::field('post_password',10,32,html::escapeHTML($post_password),'maximal').
 					'</p>',
 				'post_url' =>
 					'<div class="lockable">'.
-					'<p><label for="post_url">'.__('Edit basename').'</label>'.
+					'<p><label for="post_url" class="ib">'.__('Edit basename').'</label>'.
 					form::field('post_url',10,255,html::escapeHTML($post_url),'maximal').
 					'</p>'.
@@ -462,10 +462,10 @@
 		"post_title" =>
 			'<p class="col">'.
-			'<label class="required no-margin bold"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').'</label>'.
+			'<label class="required no-margin"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').'</label>'.
 			form::field('post_title',20,255,html::escapeHTML($post_title),'maximal').
 			'</p>',
 		
 		"post_excerpt" =>
-			'<p class="area" id="excerpt-area"><label for="post_excerpt" class="bold">'.__('Excerpt:').' <span class="form-note">'.
+			'<p class="area" id="excerpt-area"><label for="post_excerpt">'.__('Excerpt:').' <span class="form-note">'.
 			__('Introduction to the page.').'</span></label> '.
 			form::textarea('post_excerpt',50,5,html::escapeHTML($post_excerpt)).
@@ -473,5 +473,5 @@
 		
 		"post_content" =>
-			'<p class="area" id="content-area"><label class="required bold" '.
+			'<p class="area" id="content-area"><label class="required" '.
 			'for="post_content"><abbr title="'.__('Required field').'">*</abbr> '.__('Content:').'</label> '.
 			form::textarea('post_content',50,$core->auth->getOption('edit_size'),html::escapeHTML($post_content)).
@@ -479,5 +479,5 @@
 		
 		"post_notes" =>
-			'<p class="area" id="notes-area"><label for="post_notes" class="bold">'.__('Personal notes:').' <span class="form-note">'.
+			'<p class="area" id="notes-area"><label for="post_notes">'.__('Personal notes:').' <span class="form-note">'.
 			__('Unpublished notes.').'</span></label>'.
 			form::textarea('post_notes',50,5,html::escapeHTML($post_notes)).
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 2455)
+++ plugins/simpleMenu/index.php	(revision 2495)
@@ -347,7 +347,7 @@
 			echo
 				dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
+				dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 				dcPage::jsLoad('index.php?pf=simpleMenu/simplemenu.js');
 		}
-		echo dcPage::jsConfirmClose('additem','menuitems');
 	?>
 </head>
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 2439)
+++ plugins/tags/tag_posts.php	(revision 2322)
@@ -12,5 +12,5 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-$tag = isset($_REQUEST['tag']) ? $_REQUEST['tag'] : '';
+$tag = (!empty($_REQUEST['tag']) || $_REQUEST['tag'] == '0') ? $_REQUEST['tag'] : '';
 
 $this_url = $p_url.'&amp;m=tag_posts&amp;tag='.rawurlencode($tag);
@@ -21,5 +21,5 @@
 
 # Rename a tag
-if (isset($_POST['new_tag_id']))
+if (!empty($_POST['new_tag_id']) || $_POST['new_tag_id'] == '0')
 {
 	$new_id = dcMeta::sanitizeMetaID($_POST['new_tag_id']);
@@ -124,15 +124,15 @@
 		echo '</div>';
 	}
-
+	
 	# Show posts
 	echo '<h4 class="vertical-separator pretty-title">'.sprintf(__('List of entries with the tag “%s”'),html::escapeHTML($tag)).'</h4>';
 	$post_list->display($page,$nb_per_page,
 	'<form action="plugin.php" method="post" id="form-entries">'.
-
+	
 	'%s'.
-
+	
 	'<div class="two-cols">'.
 	'<p class="col checkboxes-helpers"></p>'.
-
+	
 	'<p class="col right"><label for="action" class="classic">'.__('Selected entries action:').'</label> '.
 	form::combo('action',$posts_actions_page->getCombo()).
Index: plugins/themeEditor/_admin.php
===================================================================
--- plugins/themeEditor/_admin.php	(revision 2370)
+++ plugins/themeEditor/_admin.php	(revision 1609)
@@ -53,5 +53,5 @@
 		'<p><label for="colorsyntax" class="classic">'.
 		form::checkbox('colorsyntax',1,$core->auth->user_prefs->interface->colorsyntax).'</label>'.
-		__('Syntax highlighting in theme editor').
+		__('Syntax color for theme editor').
 		'</p>';
 	}
Index: plugins/widgets/class.widgets.php
===================================================================
--- plugins/widgets/class.widgets.php	(revision 2442)
+++ plugins/widgets/class.widgets.php	(revision 2412)
@@ -232,5 +232,5 @@
 		foreach ($this->settings as $id => $s)
 		{
-			$res .= $this->formSetting($id,$s,$pr,$i);
+			$res .= $this->formSetting($id,$s,$pr,$i=0);
 			$i++;
 		}
@@ -285,4 +285,5 @@
 				break;
 		}
+		
 		return $res;
 	}
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 2448)
+++ plugins/widgets/index.php	(revision 2495)
@@ -53,5 +53,5 @@
 		}
 	}
-		
+
 	# Append 1 widget
 	$wid = false;
@@ -60,5 +60,5 @@
 		$wid = $wid[0];
 	}
-	
+
 	# Append widgets
 	if (!empty($addw))
@@ -73,5 +73,5 @@
 			$widgets_custom = new dcWidgets();
 		}
-		
+
 		foreach ($addw as $k => $v)
 		{
@@ -91,5 +91,5 @@
 			}
 		}
-		
+
 		try {
 			$core->blog->settings->addNamespace('widgets');
@@ -151,5 +151,5 @@
 		$_POST['w'] = array();
 	}
-	
+
 	try
 	{
@@ -163,5 +163,5 @@
 			}
 		}
-		
+
 		if (!isset($_POST['w']['nav'])) {
 			$_POST['w']['nav'] = array();
@@ -173,9 +173,9 @@
 			$_POST['w']['custom'] = array();
 		}
-		
+
 		$widgets_nav = dcWidgets::loadArray($_POST['w']['nav'],$__widgets);
 		$widgets_extra = dcWidgets::loadArray($_POST['w']['extra'],$__widgets);
 		$widgets_custom = dcWidgets::loadArray($_POST['w']['custom'],$__widgets);
-		
+
 		$core->blog->settings->addNamespace('widgets');
 		$core->blog->settings->widgets->put('widgets_nav',$widgets_nav->store());
@@ -183,5 +183,5 @@
 		$core->blog->settings->widgets->put('widgets_custom',$widgets_custom->store());
 		$core->blog->triggerBlog();
-		
+
 		http::redirect($p_url);
 	}
@@ -200,5 +200,5 @@
 		$core->blog->settings->widgets->put('widgets_custom','');
 		$core->blog->triggerBlog();
-		
+
 		http::redirect($p_url);
 	}
@@ -212,12 +212,15 @@
 <head>
   <title><?php echo __('Widgets'); ?></title>
-  <link type="text/css" rel="stylesheet" href="index.php?pf=widgets/style.css"/>
+  <style type="text/css">
+  <?php echo file_get_contents(dirname(__FILE__).'/style.css'); ?>
+  </style>
   <?php
 		echo
 			dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
+			dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 			dcPage::jsLoad('index.php?pf=widgets/widgets.js');
   ?>
-  <?php 
-	$core->auth->user_prefs->addWorkspace('accessibility'); 
+  <?php
+	$core->auth->user_prefs->addWorkspace('accessibility');
 	$user_dm_nodragdrop = $core->auth->user_prefs->accessibility->nodragdrop;
   ?>
@@ -265,5 +268,5 @@
 echo
 '</ul>'.
-'<p>'.$core->formNonce().'</p>'.
+$core->formNonce().
 '<p class="remove-if-drag"><input type="submit" name="append" value="'.__('Add widgets to sidebars').'" /></p>'.
 '</form>';
@@ -296,5 +299,24 @@
 
 $widget_elements = new stdClass;
-$widget_elements->content = '<dl>';
+$widget_elements->content =
+'<h4>'.__('Use of widgets').'</h4>'.
+'<p>'.__('Widgets may be used to add various blocks of content to be displayed on your public pages. To add a widget, '.
+'drag it from the Available widgets list on the left to one of the sidebars on the right of this page. You can order '.
+'your widgets in a sidebar by dragging them up or down. You must update sidebars to apply your changes.').'</p>'.
+'<p>'.__('Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next '.
+'to their name.').'</p>'.
+'<p>'.__('Reset sidebars to get back to default widgets installation.').'</p>'.
+'<h4>'.__('Widget templates tags').'</h4>'.
+'<div id="widgets-tpl">'.
+'<p>'.__('If you are allowed to edit your theme templates, you can directly add widgets as '.
+'templates tags, with their own configuration.').'</p>'.
+'<p>'.__('To add a widget in your template, you need to write code like this:').'</p>'.
+'<pre>&lt;tpl:Widget id="<strong>'.__('Widget ID').'</strong>"&gt;
+  &lt;setting name="<strong>'.__('Setting name').'</strong>"&gt;<strong>'.__('Setting value').'</strong>&lt;/setting&gt;
+  ...
+&lt;/tpl:Widget&gt;</pre>'.
+'<p>'.__('Here are the following available widgets for your blog:').'</p>';
+
+$widget_elements->content .= '<dl>';
 foreach ($__widgets->elements() as $w)
 {
@@ -304,5 +326,5 @@
 	($w->desc() != '' ? ' <span class="form-note">'.__($w->desc()).'</span>' : '').'</dt>'.
 	'<dd>';
-	
+
 	$w_settings = $w->settings();
 	if (empty($w_settings))
@@ -329,5 +351,5 @@
 					break;
 			}
-			
+
 			$widget_elements->content .=
 			'<li>'.
@@ -342,29 +364,27 @@
 $widget_elements->content .= '</dl></div>';
 
-dcPage::helpBlock('widgets',$widget_elements);
+dcPage::helpBlock($widget_elements);
 
 function sidebarWidgets($id,$title,$widgets,$pr,$default_widgets,&$j)
 {
 	$res = '<h3>'.$title.'</h3>';
-	
+
 	if (!($widgets instanceof dcWidgets))
 	{
 		$widgets = $default_widgets;
 	}
-	
+
 	$res .= '<ul id="'.$id.'" class="connected">';
-	
-	$res .= '<li class="empty-widgets" '.(!$widgets->isEmpty() ? 'style="display: none;"' : '').'>'.__('No widget as far.').'</li>';
-	
+
+	$res .= '<li class="empty-widgets" '.(!$widgets->isEmpty() ? 'style="display: none;"' : '').'>'.__('No widget for now.').'</li>';
+
 	$i = 0;
 	foreach ($widgets->elements() as $w)
 	{
-		$upDisabled = $i == 0 ? ' disabled" src="images/disabled_' : '" src="images/';
-		$downDisabled = $i == count($widgets->elements())-1 ? ' disabled" src="images/disabled_' : '" src="images/';
-		$altUp = $i == 0 ? ' alt=""' : ' alt="'.__('Up the widget').'"';
-		$altDown = $i == count($widgets->elements())-1 ? ' alt=""' : ' alt="'.__('Down the widget').'"';
-		
+		$upDisabled = $i == 0 ? '" disabled="" src="images/disabled_' : '" src="images/';
+		$downDisabled = $i == count($widgets->elements())-1 ? '" disabled="" src="images/disabled_' : '" src="images/';
+
 		$iname = 'w['.$pr.']['.$i.']';
-		
+
 		$res .=
 		'<li>'.form::hidden(array($iname.'[id]'),html::escapeHTML($w->id())).
@@ -373,21 +393,21 @@
 		($w->desc() != '' ? ' <span class="form-note">'.__($w->desc()).'</span>' : '').
 		'<span class="toolsWidget remove-if-drag">'.
-		'<input type="image" class="upWidget'.$upDisabled.'up.png" name="'.$iname.'[_up]" value="'.__('Up the widget').'"'.$altUp.' /> '.
-		'<input type="image" class="downWidget'.$downDisabled.'down.png" name="'.$iname.'[_down]" value="'.__('Down the widget').'"'.$altDown.' /> '.' '.
-		'<input type="image" class="removeWidget" src="images/trash.png" name="'.$iname.'[_rem]" value="'.__('Remove widget').'" alt="'.__('Remove the widget').'" />'.
+		'<input type="image" class="upWidget'.$upDisabled.'up.png" name="'.$iname.'[_up]" value="'.__('Up the widget').'" />'.
+		'<input type="image" class="downWidget'.$downDisabled.'down.png" name="'.$iname.'[_down]" value="'.__('Down the widget').'" />'.' '.
+		'<input type="image" class="removeWidget" src="images/trash.png" name="'.$iname.'[_rem]" value="'.__('Remove widget').'" />'.
 		'</span>'.
 		'<br class="clear"/></p>'.
 		'<div class="widgetSettings hidden-if-drag">'.$w->formSettings($iname,$j).'</div>'.
 		'</li>';
-		
+
 		$i++;
 		$j++;
 	}
-	
+
 	$res .= '</ul>';
-	
+
 	$res .= '<ul class="sortable-delete"'.($i > 0 ? '':' style="display: none;"').'><li class="sortable-delete-placeholder">'.
 			__('Drag widgets here to remove.').'</li></ul>';
-	
+
 	return $res;
 }
Index: tests/functional/spec/page_tabs.js
===================================================================
--- tests/functional/spec/page_tabs.js	(revision 2479)
+++ tests/functional/spec/page_tabs.js	(revision 2348)
@@ -153,28 +153,6 @@
 		expect($('#part-user-favorites')).not.toBeVisible();
 	});
-	
-	/* ticket 1723 and 1794
-	 *
-	 * The problem occurs when cliking an anchor in the page 
-	 */
-	it("Must try to find tab to open in page when hash refer ton an anchor and not to an existing div content", function() {
-		loadFixtures('tabs.html');
-		loadStyleFixtures('default.css');
-		
-		var anchor_name = 'anchor-in-favorites';
-		$('<div id="anchor-in-favorites"></div>').appendTo($('#user-favorites'));
-		
-		$.pageTabs('user-profile');
-		expect($('#part-user-options')).not.toBeVisible();
-		expect($('#part-user-profile')).toBeVisible();
-		expect($('#part-user-favorites')).not.toBeVisible();
 
-		spyOn(jQuery.pageTabs, 'getLocationHash').andReturn(anchor_name);
-		jQuery.event.trigger('hashchange');
-		expect($('#part-user-options')).not.toBeVisible();
-		expect($('#part-user-profile')).not.toBeVisible();
-		expect($('#part-user-favorites')).toBeVisible();
-	});
-
+	/* ticket 1723 */
 	it("Must open first tab when hash does not refer to an existing div content", function() {
 		loadFixtures('tabs.html');
@@ -186,5 +164,5 @@
 		expect($('#part-user-profile')).not.toBeVisible();
 		expect($('#part-user-favorites')).not.toBeVisible();
-	});	
+	});
 });
 
Index: themes/ductile/_config.php
===================================================================
--- themes/ductile/_config.php	(revision 2393)
+++ themes/ductile/_config.php	(revision 2335)
@@ -23,9 +23,4 @@
 
 $standalone_config = (boolean) $core->themes->moduleInfo($core->blog->settings->system->theme,'standalone_config');
-
-// Load contextual help
-if (file_exists(dirname(__FILE__).'/locales/'.$_lang.'/resources.php')) {
-	require dirname(__FILE__).'/locales/'.$_lang.'/resources.php';
-}
 
 $list_types = array(
@@ -115,5 +110,5 @@
 {
 	global $font_families;
-
+	
 	return isset($font_families[$c]) ? '<span style="position:absolute;top:0;left:32em;">'.$font_families[$c].'</span>' : '';
 }
@@ -145,10 +140,10 @@
 {
 	// Compute contrast ratio between two colors
-
+	
 	$color = adjustColor($color);
 	if (($color == '') || (strlen($color) != 7)) return 0;
 	$background = adjustColor($background);
 	if (($background == '') || (strlen($background) != 7)) return 0;
-
+	
 	$l1 = (0.2126 * pow(hexdec(substr($color,1,2))/255,2.2)) +
 		(0.7152 * pow(hexdec(substr($color,3,2))/255,2.2)) +
@@ -202,5 +197,5 @@
 
 	$large = ((($s > 1.5) && ($bold == false)) || (($s > 1.2) && ($bold == true)));
-
+	
 	// Check ratio
 	if ($ratio > 7) {
@@ -221,5 +216,5 @@
 		$ratio = computeContrastRatio($color,$background);
 		$level = contrastRatioLevel($ratio,$size,$bold);
-		return
+		return 
 			'<span style="position:absolute;top:0;left:23em;">'.
 			sprintf(__('ratio %.1f'),$ratio).
@@ -371,15 +366,15 @@
 				$ductile_stickers = $new_ductile_stickers;
 			}
-
+			
 			for ($i = 0; $i < count($_POST['list_type']); $i++) {
 				$ductile_lists[$_POST['list_ctx'][$i]] = $_POST['list_type'][$i];
 			}
-
+	 		
 			for ($i = 0; $i < count($_POST['count_nb']); $i++) {
 				$ductile_counts[$_POST['count_ctx'][$i]] = $_POST['count_nb'][$i];
 			}
-
+	 		
 		}
-
+		
 		# CSS
 		if ($conf_tab == 'css') {
@@ -397,24 +392,24 @@
 			$ductile_user['blog_title_s'] = adjustFontSize($_POST['blog_title_s']);
 			$ductile_user['blog_title_c'] = adjustColor($_POST['blog_title_c']);
-
+		
 			$ductile_user['post_title_w'] = (integer) !empty($_POST['post_title_w']);
 			$ductile_user['post_title_s'] = adjustFontSize($_POST['post_title_s']);
 			$ductile_user['post_title_c'] = adjustColor($_POST['post_title_c']);
-
+		
 			$ductile_user['post_link_w'] = (integer) !empty($_POST['post_link_w']);
 			$ductile_user['post_link_v_c'] = adjustColor($_POST['post_link_v_c']);
 			$ductile_user['post_link_f_c'] = adjustColor($_POST['post_link_f_c']);
-
+		
 			$ductile_user['post_simple_title_c'] = adjustColor($_POST['post_simple_title_c']);
-
+		
 			$ductile_user['blog_title_w_m'] = (integer) !empty($_POST['blog_title_w_m']);
 			$ductile_user['blog_title_s_m'] = adjustFontSize($_POST['blog_title_s_m']);
 			$ductile_user['blog_title_c_m'] = adjustColor($_POST['blog_title_c_m']);
-
+		
 			$ductile_user['post_title_w_m'] = (integer) !empty($_POST['post_title_w_m']);
 			$ductile_user['post_title_s_m'] = adjustFontSize($_POST['post_title_s_m']);
 			$ductile_user['post_title_c_m'] = adjustColor($_POST['post_title_c_m']);
 		}
-
+		
 		$core->blog->settings->addNamespace('themes');
 		$core->blog->settings->themes->put($core->blog->settings->system->theme.'_style',serialize($ductile_user));
@@ -428,5 +423,5 @@
 		// Template cache reset
 		$core->emptyTemplatesCache();
-
+		
 		dcPage::message(__('Theme configuration upgraded.'),true,true);
 	}
@@ -459,5 +454,5 @@
 echo '<h4 class="border-top pretty-title">'.__('Stickers').'</h4>';
 
-echo
+echo 
 '<div class="table-outer">'.
 '<table class="dragable">'.'<caption>'.__('Stickers (footer)').'</caption>'.
@@ -474,5 +469,5 @@
 foreach ($ductile_stickers as $i => $v) {
 	$count++;
-	echo
+	echo 
 	'<tr class="line" id="l_'.$i.'">'.
 	'<td class="handle minimal">'.form::field(array('order['.$i.']'),2,3,$count,'position','',false).
@@ -499,5 +494,5 @@
 '<tbody>';
 foreach ($ductile_lists as $k => $v) {
-	echo
+	echo 
 		'<tr>'.
 		'<td scope="row">'.$contexts[$k].'</td>'.
Index: themes/ductile/_prepend.php
===================================================================
--- themes/ductile/_prepend.php	(revision 1133)
+++ themes/ductile/_prepend.php	(revision 2495)
@@ -26,5 +26,6 @@
 		if (!$core->auth->user_prefs->accessibility->nodragdrop) {
 			echo
-				dcPage::jsLoad('js/jquery/jquery-ui.custom.js');
+				dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
+				dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js');
 				echo <<<EOT
 <script type="text/javascript">
